## pkg-js-tools 0.17.0

=== debian/changelog ===
pkg-js-tools (0.17.0) experimental; urgency=medium

  * pkgjs-depends: drop old hook
  * Add automatically nodejs:any into dependencies when package install a link
    into /usr/bin or /usr/sbin

 -- Yadd <yadd@debian.org>  Mon, 13 Oct 2025 14:56:53 +0200
