=== debian/control ===
Source: pkg-js-tools
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: git <!nocheck>
 , devscripts
 , help2man
 , libcache-cache-perl
 , libdebian-copyright-perl <!nocheck>
 , libdebian-source-perl <!nocheck>
 , libdpkg-perl
 , libgraph-perl
 , libipc-run-perl <!nocheck>
 , libjson-perl
 , libprogress-any-output-termprogressbarcolor-perl
 , libregexp-assemble-perl
 , libtest-output-perl <!nocheck>
 , libwww-perl
 , libyaml-perl <!nocheck>
 , node-marked-man (>= 1.3.1~) <!nodoc>
 , nodejs:any
 , perl:any
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/pkg-js-tools
Vcs-Git: https://salsa.debian.org/js-team/pkg-js-tools.git
Homepage: https://salsa.debian.org/js-team/pkg-js-tools

Package: dh-nodejs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
 , ${perl:Depends}
 , debhelper
 , libdebian-copyright-perl
 , libdebian-source-perl
 , libdpkg-perl
 , libfile-which-perl
 , libgraph-perl
 , libipc-run-perl
 , libjson-perl
 , libyaml-perl
 , nodejs:any
Suggests: node-rollup-plugin-commonjs
 , node-rollup-plugin-node-resolve
 , pkg-js-tools
 , rollup
Conflicts: pkg-js-tools (<< 0.14.0~)
Provides: dh-nodejs-autodocs
 , dh-sequence-nodejs (= ${binary:Version})
 , dh-sequence-nodejs-no-lerna (= ${binary:Version})
Replaces: pkg-js-tools (<< 0.14.0~)
Description: debhelper addon to build Node.js modules
 dh-nodejs provides debhelper files (set dh-sequence-nodejs into build
 dependencies) to automatically:
  * read lerna.conf "packages" field if exists and/or "workspaces" field from
    package.json
  * link or copy needed modules into node_modules/ directory
  * automatically build package and components when build system is
    recognized
  * launch test
  * choose files to install
  * build "Provides" value for package with components
  * build pkgjs-lock.json files and "XB-Javascript-Built-Using" value for
    packages built with webpack/browserify
  * clean all its stuff during dh_auto_clean step

Package: pkg-js-tools
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
 , dh-nodejs (= ${binary:Version})
 , libdpkg-perl
 , libwww-perl
Recommends: apt-file
 , devscripts
 , libcache-cache-perl
 , libprogress-any-output-termprogressbarcolor-perl
 , node-semver
 , nodejs:any
 , npm
Suggests: autodep8
 , git-buildpackage
 , lintian
Description: collection of tools to aid packaging Node.js modules in Debian
 The Debian JavaScript Maintainers work on packaging JavaScript libraries
 for Debian. This collection contains tools which help the tam with
 day-to-day work.
 .
 It provides some utilities:
  * add-node-component:
    manage uscan components
  * debcheck-node-repo:
    compares vcs repo registered in npm registry with the source repo
    declared in debian/watch
  * dh-make-node:
    build debian/ directory in a source repository of a Node.js module
  * github-debian-upstream:
    creates debian/upstream/metadata for GitHub source
  * nodepath:
    show the path and/or the package of a Node.js module
  * mjs2cjs:
    generate a commonjs file from a .mjs source (rollup)
  * pkgjs-audit:
    a "npm audit" that uses Debian dependencies (npm)
  * pkgjs-depends:
    find needed dependencies for a Node.js module (npm, node-semver)
  * pkgjs-ln:
    link a Debian dependency into node_modules/
  * pkgjs-ls:
    a "npm ls" that search also in Debian directories (npm, node-semver)
  * pkgjs-utils:
    various little utilities
  * pkgjs:
    emulates yarnpkg in a Debian environment
 .
 and also:
  * a salsa(1) configuration file for Debian JavaScript Maintainers
  * "pkg-js-extra" profile for lintian

Package: pkg-js-autopkgtest
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
 , dh-nodejs (= ${binary:Version})
 , libjson-perl
Description: collection of autopkgtest scripts for Node.js packages
 This package contains test runners to be used with the autopkgtest
 infrastructure for Node.js packages.
 .
 Simply set "Testsuite: autopkgtest-pkg-nodejs" in debian/control to use it.
 .
 See /usr/share/doc/pkg-js-autopkgtest/README.md
 for information on the tests and how to tweak them.
