=== t/badfilesfield/debian/control ===
Source: foo
Maintainer: Foo <foo@bar.com>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.4.0
Rules-Requires-Root: no

Package: foo
Architecture: all
Description: Foo
 Bar
