=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet ft=make
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BIN:=$(shell ls tools/|grep -v dh_nodejs_|grep -v pkgjs-utils|grep -vE '^pkgjs$$')
#BIN:=$(shell ls tools/|grep -v dh_nodejs_|grep -v pkgjs-utils)
MANPAGES:=$(BIN:=.1)
MAN7PAGES:=$(shell ls doc/man/*.7)
REGEXPSOURCEFILES:=$(shell ls dh_nodejs/*)
export NPMIGNOREDEFAULT=$(shell pwd)/dh_nodejs/npmignore.default
GENERATEDFILES=lib/Debian/Debhelper/Buildsystem/nodejs.pm \
	lib/Debian/PkgJs/Banned.pm \
	lib/Debian/PkgJs/PackageLock.pm \
	autopkgtest/runner \
	tools/dh_nodejs_autodocs
PKGJSLIBVERSION=$(call dpkg_late_eval,PKGJSLIBVERSION,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/~.*$$//')

%:
	dh $@

%.1:
	DEVSCRIPTS_CHECK_DIRNAME_LEVEL=0 PERL5LIB=lib help2man --version-string=$(DEB_VERSION) --no-discard-stderr -n $* -N --help-option=-h ./tools/$* > $*.1

%.7: doc/*/README.md
	S=$@; S=$${S%.7}; S=doc/$${S#doc/man/pkg-js-}/README.md; \
	if which marked-man; then \
		cat $$S | sed '/^\[\[_TOC_\]\]$$/d' | marked-man --version $$PKGJSLIBVERSION > $@; \
	fi

execute_before_dh_auto_configure: $(GENERATEDFILES) lib/Debian/PkgJs/Version.pm

execute_after_dh_auto_build: lib/Debian/Debhelper/Buildsystem/nodejs.pm $(MANPAGES) $(MAN7PAGES)

$(GENERATEDFILES): $(REGEXPSOURCEFILES)
	./dh_nodejs/mk_regexp $(GENERATEDFILES)

lib/Debian/PkgJs/Version.pm: debian/changelog
	perl -i -pe 's/[\d\.]+/'$(PKGJSLIBVERSION)'/' lib/Debian/PkgJs/Version.pm

#override_dh_installman:
#	rm -f *.1p
#	dh_installman
#	# Remove duplicates
#	for f in debian/pkg-js-tools/usr/share/man/man1/*.1p; do \
#		rm -f $${f%p}; \
#	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test
	PERL5LIB=`pwd`/lib PATH=`pwd`/tools:$$PATH debian/tests/pkg-js-autopkgtest
endif
