=== t/bin-links/debian/watch ===
Version: 5

Template: Npmregistry
Dist: foo
