## pkg-js-tools 0.17.1

=== debian/changelog ===
pkg-js-tools (0.17.1) unstable; urgency=medium

  [ Guillem Jover ]
  * Pass also no_check to Dpkg::IPC spawn() and wait_child()

  [ Yadd ]
  * Declare compliance with policy 4.7.3
  * Back to unstable

 -- Yadd <yadd@debian.org>  Wed, 31 Dec 2025 20:43:16 +0100
