=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  , node-marked-man (>= 1.3.1~) <!nodoc>
  , nodejs:any
  , perl:any
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/js-team/pkg-js-tools
 Vcs-Git: https://salsa.debian.org/js-team/pkg-js-tools.git
 Homepage: https://salsa.debian.org/js-team/pkg-js-tools
